dcsimg
Using ant to do a 1.4 compatibilty for some classes in project
1 posts in topic
Flat View  Flat View
TOPIC ACTIONS:
 

Posted By:   anthony_brew
Posted On:   Wednesday, March 29, 2006 04:12 AM

Hi, I want to write a javac ant task that compiles only the list of classes I give it and the classes that these files depend on. I want to do this for java 1.4 compatability. Basically we want to be able to use the new features of generics in certain java files, but in files that comunicate with the outside world we want these files to compile so they can run on a 1.4 jvm. So I deally these client classes should still compile with 1.4 and all the stubs also. Is this possible? So far I have tried this.... destdir="${basedir}/output/limits/classes/" > Thanks a Mill    More>>

Hi,



I want to write a javac ant task that compiles only the list of classes I give it and the classes that these files depend on.



I want to do this for java 1.4 compatability. Basically we want to be able to use the new features of generics in certain java files, but in files that comunicate with the outside world we want these files to compile so they can run on a 1.4 jvm.


So I deally these client classes should still compile with 1.4 and all the stubs also. Is this possible?




So far I have tried this....



destdir="${basedir}/output/limits/classes/" >






Thanks a Mill


Anthony Brew

   <<Less

Re: Using ant to do a 1.4 compatibilty for some classes in project

Posted By:   Anonymous  
Posted On:   Wednesday, March 29, 2006 05:08 AM


  1. introduce an interface layer

  2. the layer contains the stubs

  3. compile the layer against the lower JDK


So you could update client or server independent from another to a higher JDK.
About | Sitemap | Contact